<script lang="ts">
    import Authentication from '$components/Layouts/Authentication.svelte'
    import Input from '$components/Form/Input.svelte'
    import Alert from '$components/Alert.svelte'
    import { post } from '$lib/fetch'

    let email: string
    let errors = { email: [] }
    let successMessage: string

    const submit = async () => {
        const { req, res } = await post('forgot-password', { email })
        if (req.ok) {
            successMessage = res.email
        } else {
            errors = res.errors
        }
    }
</script>

<svelte:head>
    <title>Mot de passe oublié | Elerium</title>
</svelte:head>

<Authentication
    btnLabel="M'envoyer un lien"
    subtitle="Reçois un lien de réinitialisation par email"
    title="Mot de passe oublié ?"
    on:submit={submit}
>
    {#if successMessage}
        <Alert variant="success">
            <h2 slot="title">Et voilà !</h2>
            <p>{successMessage}</p>
        </Alert>
    {/if}
    <Input bind:value={email} errors={errors.email} name="email" type="email">Email</Input>
    <slot slot="bottomUrl"><a href="login">Retour à la connexion</a></slot>
</Authentication>
